# Class yii\httpclient\UrlEncodedFormatter

Inheritance | yii\httpclient\UrlEncodedFormatter » yii\base\BaseObject
Implements | yii\base\Configurable, yii\httpclient\FormatterInterface
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-httpclient/blob/master/UrlEncodedFormatter.php

UrlEncodedFormatter formats HTTP message as 'application/x-www-form-urlencoded'.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$charset | string | The content charset. | yii\httpclient\UrlEncodedFormatter
$encodingType | integer | URL encoding type. | yii\httpclient\UrlEncodedFormatter

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
format() | Formats given HTTP request message. | yii\httpclient\UrlEncodedFormatter
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Property Details

$charset public property (available since version 2.0.1)

The content charset. If not set, it will use the value of yii\base\Application::$charset.

public string $charset = null
$encodingType public property

URL encoding type. Possible values are:

- PHP_QUERY_RFC1738 - encoding is performed per 'RFC 1738' and the 'application/x-www-form-urlencoded' media type, which implies that spaces are encoded as plus (+) signs. This is most common encoding type used by most web applications.
- PHP_QUERY_RFC3986 - then encoding is performed according to 'RFC 3986', and spaces will be percent encoded (%20). This encoding type is required by OpenID and OAuth protocols.

public integer $encodingType = PHP_QUERY_RFC1738

## Method Details

format() public method

Formats given HTTP request message.

public yii\httpclient\Request format ( yii\httpclient\Request $request )
$request | yii\httpclient\Request | HTTP request instance.
return | yii\httpclient\Request | Formatted request.